<h1>Create Register</h1>

<%= form_with model: @register, local: true do |register_form| %>
    <%= render 'components/errors', object: @register %>
    
    <p>
	<%= register_form.label :meter_number %>
	<%= register_form.text_field :meter_number %>
    </p>
    <p>
	<%= register_form.label :register_number %>
	<%= register_form.text_field :register_number %>
    </p>
    <p>
	<%= register_form.label :register_decimals %>
	<%= register_form.text_field :register_decimals %>
    </p>
    <p>
	<%= register_form.hidden_field :address_id, value: @register.address.id %>
    </p>
    <p>
	<%= register_form.submit %>
    </p>
    </tr>
<% end %>

<%= link_to 'Cancel', addresses_url %>
